<?php

namespace TDevAgency\Cms\Observers;

use Illuminate\Support\Facades\Cache;
use TDevAgency\Cms\Models\BaseModels\AdminUser;
use TDevAgency\Cms\Models\BaseModels\AdminUserRole;

class AdminUserRoleObserver
{
    /**
     * @param AdminUser $user
     */
    public function saved(AdminUserRole $adminUserRole)
    {
        Cache::forget("admin_user.{$adminUserRole->admin_user_id}");
    }

    /**
     * @param AdminUser $user
     */
    public function deleted(AdminUserRole $adminUserRole)
    {
        Cache::forget("admin_user.{$adminUserRole->admin_user_id}");
    }

    /**
     * @param AdminUser $user
     */
    public function restored(AdminUserRole $adminUserRole)
    {
        Cache::forget("admin_user.{$adminUserRole->admin_user_id}");
    }
}
