@extends('cms::admin.layouts.app')


@section('content')

    <div class="card">
        <div class="card-body p-0">
            <div class="table-responsive">
                <table class="table">
                    <thead>
                    <tr>
                        <th>@sortablelink('id', trans('cms-fixed::admin.id'))</th>
                        @if(!in_array('admin-user-settings', config('cms.excluded_components')))
                            <th>@sortablelink('is_active', trans('cms-fixed::admin.status'))</th>
                            <th>@lang('cms-fixed::admin.user_roles')</th>
                        @endif
                        <th>@sortablelink('name', trans('cms-fixed::admin.name'))</th>
                        <th>@sortablelink('email', trans('cms-fixed::admin.email'))</th>
                        <th>@sortablelink('created_at', trans('cms-fixed::admin.created_at'))</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @forelse($users as $user)
                        <tr class="align-center">
                            @php
                                /**
                                * @var \TDevAgency\Cms\Models\BaseModels\AdminUser $user
                                */
                            @endphp
                            <th>{{$user->id}}</th>
                            @if(!in_array('admin-user-settings', config('cms.excluded_components')))
                                <td>{{$user->is_active}}</td>
                                <td>{{$roles[$user->id]}}</td>
                            @endif
                            <td>{{$user->name}}</td>
                            <td>{{$user->email}}</td>
                            <td>{{$user->created_at->formatLocalized('%d %B %Y %H:%m')}}</td>
                            <td class="text-nowrap text-right">
                                <a href="{{route('cms.admin-users.edit', $user->id)}}"
                                   class="btn btn-outline-primary btn-sm"
                                ><i class="fas fa-pencil-alt"></i> <span
                                        class="d-none d-md-inline">@lang('cms-fixed::admin.edit')</span></a>
                                <form method="post" @submit="confirmDelete" class="d-inline"
                                      action="{{route('cms.admin-users.destroy', $user->id)}}">
                                    @csrf
                                    @method('DELETE')
                                    <button class="btn btn-outline-danger btn-sm">
                                        <i class="fas fa-trash"></i>
                                        <span class="d-none d-md-inline">@lang('cms-fixed::admin.delete')</span>
                                    </button>
                                </form>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td class="text-muted text-center" colspan="7">@lang('cms-fixed::admin.no_data')</td>
                        </tr>
                    @endforelse
                    </tbody>
                </table>
            </div>
        </div>
        <div class="card-footer text-right">
            <div class="d-inline-block">
                {!! $users->appends(\Request::except('page'))->render() !!}
            </div>
        </div>
    </div>
@endsection
